Skip to content

PUT /api/v3/campaigns/{lcuid}/inventory-items/{id}/export-filter

Summary

PUT campaigns/{lcuid}/inventory-items/{id}/export-filter

Description

Set the run filter for an item in a campaign, including date/time and other filters. This replaces the existing export filter and marks the settings as manually configured. Pass a JSON-encoded empty array ("[]") to clear the filter.

Example JSON payload to run the item Monday through Friday (0 = Sunday, 6 = Saturday). The filter value is a JSON-encoded string, not an array:

{
    "filter": "[{\"type\":\"days_of_the_week\",\"days\":[1,2,3,4,5]}]"
}

See Filter Builder Reference

Tags: campaigns

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Request Body

Required: Yes

Content Type: application/json

Schema

Type: object

Required fields: filter

Properties:

  • filter (string) (required): A JSON-encoded array of export filter rows.

Responses

Response: 200

Description: Sample Response

Content Type: application/json

Schema

Type: object

Properties:

  • success (boolean)
  • inventory_item (object) Type: object

Properties:

  • unique_id (string)
  • title (string)
  • description (string)
  • new_used (integer)
  • year (string)
  • make (string)
  • model (string)
  • sub_model (string)
  • price (integer)
  • price_original (string)
  • price_modifier (string)
  • external_link (string)
  • status (integer)
  • item_class (string)
  • creative_state (integer)
  • lcuid (string)
  • created_at (string)
  • updated_at (string)
  • deleted_at (string)
  • has_price_override (boolean)
  • price_upstream (string)
  • options (object) Type: object

    Properties:

    • best_creative_image_photo_url (string)
    • first_play_at (string)
    • primary_image_background_removed_public_url (string)
    • primary_image_public_url (string)
  • cached_tags (string)

  • attributes (array)
  • campaign_settings (object) Type: object

    Properties:

    • 13934 (object) Type: object

    Properties:

    • run_schedule (array)

      • Array items: object Type: object

      Properties:

      • days (array)
        • Array items: integer
      • type (string)
    • 13933 (object) Type: object

    Properties:

    • run_schedule (array)

      • Array items: object Type: object

      Properties:

      • type (string)
      • days (array)
        • Array items: integer
    • set_by_user_id (integer)

    • set_by_user_datetime (string)
Example Response
{
    "success": true,
    "inventory_item": {
        "unique_id": "export-filter-test-item",
        "title": "Unit Test - 3OEwZvLsiU5wlT5",
        "description": "Some Description - poApnsgliCxWX3sPjkDwsa342fRnHlj1cJWPCa6dq0n9GdrWetYqsTKVzZQumSVG8FbBHkwU1k1MO3mjyZMO8cagFrCudAJeiJsWRJuaZdNnSUd1GXWfsMeiXHe7NbRN72R7GLPm2FvE9eHEL2tx1F",
        "new_used": 0,
        "year": null,
        "make": "Some Make",
        "model": "Some Model",
        "sub_model": "Some Sub Model",
        "price": 9555,
        "price_original": "9555.00",
        "price_modifier": null,
        "external_link": "https://www.example.com/HlP6Rgxa2W",
        "status": 1,
        "item_class": "App\\LuCore\\InventoryItems\\GenericInventoryItemClass",
        "creative_state": 0,
        "lcuid": "LCUID-LI-26a2836e-951d-4df1-a6d4-8c8a9c5f980c",
        "created_at": "2026-10-09T13:48:27.000000Z",
        "updated_at": "2026-10-09T13:48:27.000000Z",
        "deleted_at": null,
        "has_price_override": false,
        "price_upstream": null,
        "options": {
            "best_creative_image_photo_url": null,
            "first_play_at": null,
            "primary_image_background_removed_public_url": null,
            "primary_image_public_url": null
        },
        "cached_tags": null,
        "attributes": [],
        "campaign_settings": {
            "13934": {
                "run_schedule": [
                    {
                        "days": [
                            0
                        ],
                        "type": "days_of_the_week"
                    }
                ]
            },
            "13933": {
                "run_schedule": [
                    {
                        "type": "days_of_the_week",
                        "days": [
                            1,
                            2,
                            3
                        ]
                    }
                ],
                "set_by_user_id": 61681,
                "set_by_user_datetime": "2026-10-09 13:48:27"
            }
        }
    }
}

Example Implementations

Bash (cURL)

curl --request PUT \
  --url "https://api.lucit.app/api/v3/campaigns/{lcuid}/inventory-items/{id}/export-filter" \
  --header "Authorization: Bearer {AuthToken}" \
  --header "Content-Type: application/json" \
  --header "Accept: application/json" \
  --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = "https://api.lucit.app/api/v3/campaigns/{lcuid}/inventory-items/{id}/export-filter";

const headers = {
  "Authorization": "Bearer {AuthToken}",
  "Content-Type": "application/json",
  "Accept": "application/json",
  "AppIdV3": "LCUID-LAP-********-****-****-****-************"
};

fetch(url, {
  method: "PUT",
  headers: headers
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));

PHP (Guzzle)

<?php

require_once 'vendor/autoload.php';

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.lucit.app/api/v3/campaigns/{lcuid}/inventory-items/{id}/export-filter', [
  'headers' => [
    'Authorization' => 'Bearer {AuthToken}',
    'Content-Type' => 'application/json',
    'Accept' => 'application/json',
    'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
  ]
]);

$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);

Python (Requests)

import requests
import json

url = "https://api.lucit.app/api/v3/campaigns/{lcuid}/inventory-items/{id}/export-filter"

headers = {
  "Authorization": "Bearer {AuthToken}",
  "Content-Type": "application/json",
  "Accept": "application/json",
  "AppIdV3": "LCUID-LAP-********-****-****-****-************"
}

response = requests.put(url, headers=headers)
print(response.json())

← Back to campaigns index | Back to main index